/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */
namespace TopCoder.Test.Framework.Servers
{
    /// <summary>
    /// Defines a mock concrete implementation of the <c>Server</c> class. It records the call to the methods. It always
    /// throws error when <c>InitData()</c> is called.
    /// </summary>
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    public class InitErrorServer : MockServer
    {
        /// <summary>
        /// Creates a new instance of <c>InitErrorServer</c> class.
        /// </summary>
        public InitErrorServer()
        {
        }

        /// <summary>
        /// Initializes the data of the server.
        /// </summary>
        /// <remarks>
        /// This method is called only if the init flag is set to <c>true</c>. It is called after starting the server
        /// and before the tests.
        /// </remarks>
        /// <exception cref="ServerException">It always throw this exception.</exception>
        public override void InitData()
        {
            base.InitData();

            throw new ServerException("init");
        }
    }
}

