/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */
namespace TopCoder.Test.Framework.Servers
{
    /// <summary>
    /// Defines a mock concrete implementation of the <c>Server</c> class. It records the call to the methods. It always
    /// throws error when <c>ShutDown()</c> is called.
    /// </summary>
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    public class StopErrorServer : MockServer
    {
        /// <summary>
        /// Creates a new instance of <c>StopErrorServer</c> class.
        /// </summary>
        public StopErrorServer()
        {
        }

        /// <summary>
        /// Shuts down the server.
        /// </summary>
        /// <remarks>
        /// This method is called only if the start flag is set to <c>true</c>. It is called after the deinitialization
        /// of the server and the tests.
        /// </remarks>
        /// <exception cref="ServerException">It always throw this exception.</exception>
        public override void ShutDown()
        {
            base.ShutDown();

            throw new ServerException("stop");
        }
    }
}

